Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1707981 - createrepo_c-0.13.2-1.fc31 causes bodhi's unit tests to segfault
Summary: createrepo_c-0.13.2-1.fc31 causes bodhi's unit tests to segfault
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: createrepo_c
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: amatej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38
TreeView+ depends on / blocked
 
Reported: 2019-05-08 20:44 UTC by Randy Barlow
Modified: 2019-06-06 02:34 UTC (History)
9 users (show)

Fixed In Version: createrepo_c-0.13.2-2.fc30 createrepo_c-0.13.2-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-23 17:48:33 UTC
Type: Bug


Attachments (Terms of Use)
coredumpctl info output (6.08 KB, text/plain)
2019-05-08 20:44 UTC, Randy Barlow
no flags Details
Detailed C and Python tracebacks from gdb (73.02 KB, text/plain)
2019-05-08 20:45 UTC, Randy Barlow
no flags Details

Description Randy Barlow 2019-05-08 20:44:34 UTC
Created attachment 1565829 [details]
coredumpctl info output

Description of problem:
I noticed today that there was a new segfault while running Bodhi's unit tests on Rawhide. Koschei noticed this too[0], and through elimination I have identified createrepo_c-0.13.2-1.fc31 as the package that causes it.

I've uploaded a core dump to my fedorapeople account[2].


Version-Release number of selected component (if applicable):
createrepo_c-0.13.2-1.fc31


How reproducible:
Every time.


Steps to Reproduce:
1. Run Bodhi's unit tests against Rawhide with createrepo_c-0.13.2-1.fc31 installed.


Actual results:
segfault


Expected results:
no segfault


Additional info:
[0] https://apps.fedoraproject.org/koschei/build/6416481
[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=1264136
[2] https://bowlofeggs.fedorapeople.org/createrepo_c.dump

Comment 1 Randy Barlow 2019-05-08 20:45:14 UTC
Created attachment 1565830 [details]
Detailed C and Python tracebacks from gdb

Comment 2 amatej 2019-05-09 07:10:58 UTC
This PR should fix it: https://github.com/rpm-software-management/createrepo_c/pull/158/
It also contains tests for this case.

Comment 3 Fedora Update System 2019-05-20 08:02:43 UTC
createrepo_c-0.13.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c1840c618b

Comment 4 Fedora Update System 2019-05-20 08:02:49 UTC
createrepo_c-0.13.2-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7a58cdd433

Comment 5 Fedora Update System 2019-05-21 01:59:26 UTC
createrepo_c-0.13.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7a58cdd433

Comment 6 Fedora Update System 2019-05-21 04:53:28 UTC
createrepo_c-0.13.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c1840c618b

Comment 7 Fedora Update System 2019-05-23 17:48:33 UTC
createrepo_c-0.13.2-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-06-06 02:34:37 UTC
createrepo_c-0.13.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.